Subject: [dhcwg] I-D ACTION:draft-ietf-dhc-vendor-03.txt

From: [email-masked]
Date: Wed, 23 Jun 2004 16:45:46 -0400

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Dynamic Host Configuration Working Group of the IETF.

	Title		: Vendor-Identifying Vendor Options for DHCPv4
	Author(s)	: J. Littlefield
	Filename	: draft-ietf-dhc-vendor-03.txt
	Pages		: 10
	Date		: 2004-6-23
	
The DHCP options for Vendor Class and Vendor-Specific Information can
be ambiguous when a DHCP client represents multiple vendors.  This
document defines two new options, modeled on the IPv6 options for
vendor class and vendor-specific information, which contain
Enterprise Numbers to remove ambiguity.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-dhc-vendor-03.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-dhc-vendor-03.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-dhc-vendor-03.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.
_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: Josh Littlefield <[email-masked]>
Date: Thu, 24 Jun 2004 15:03:36 -0400

Attached please find diffs for this version, for your convenience.  The 
changes are very minor, and result from some errors detected during AD 
review.

-- 
=====================================================================
Josh Littlefield                                  Cisco Systems, Inc.
[email-masked]                             1414 Massachusetts Avenue
tel: 978-936-1379  fax: same               Boxborough, MA  01719-2205
5c5
< Expires: November 17, 2004                                  May 17, 2004
---
> Expires: December 21, 2004                                 June 21, 2004
9c9
<                       draft-ietf-dhc-vendor-02.txt
---
>                       draft-ietf-dhc-vendor-03.txt
34c34
<    This Internet-Draft will expire on November 17, 2004.
---
>    This Internet-Draft will expire on December 21, 2004.
55c55
< Littlefield            Expires November 17, 2004                [Page 1]
---
> Littlefield            Expires December 21, 2004                [Page 1]
57c57
< Internet-Draft     Vendor-Identifying Vendor Options            May 2004
---
> Internet-Draft     Vendor-Identifying Vendor Options           June 2004
73,74c73,74
<        Author's Address . . . . . . . . . . . . . . . . . . . . . . .  8
<        Intellectual Property and Copyright Statements . . . . . . . .  9
---
>        Author's Address . . . . . . . . . . . . . . . . . . . . . . .  9
>        Intellectual Property and Copyright Statements . . . . . . . . 10
111c111
< Littlefield            Expires November 17, 2004                [Page 2]
---
> Littlefield            Expires December 21, 2004                [Page 2]
113c113
< Internet-Draft     Vendor-Identifying Vendor Options            May 2004
---
> Internet-Draft     Vendor-Identifying Vendor Options           June 2004
145,148c145,149
<    [6], which contain Enterprise Numbers to remove ambiguity about the
<    interpretation of their contents.  If desired, these new options can
<    be used in addition to the current vendor class and vendor
<    information options, whose definition is unaffected by this document.
---
>    [6], which contain IANA-assigned Enterprise Numbers [3] to remove
>    ambiguity about the interpretation of their contents.  If desired,
>    these new options can be used in addition to the current vendor class
>    and vendor information options, whose definition is unaffected by
>    this document.
154,163c155,163
<    option defined here contains an enterprise number, followed by an
<    internal data length, followed by vendor-specific data.  This
<    sequence may be repeated multiple times within each option.  Because
<    of the possibility that the aggregate of the vendor-specific data for
<    either option will exceed 255 octets, these options are hereby
<    declared to be "concatenation-requiring", as defined by RFC 3396 [4].
<    As such, the aggregate of all instances of vendor-specific data is to
<    be considered one long option, for each of the two options defined
<    here.  These long options can be divided into smaller options for
<    packet encoding in conformance with RFC 3396, on whatever octet
---
>    option defined here contains an enterprise number (assigned by IANA
>    [3]), followed by an internal data length, followed by
>    vendor-specific data. This sequence may be repeated multiple times
>    within each option.  Because of the possibility that the aggregate of
>    the vendor-specific data for either option will exceed 255 octets,
>    these options are hereby declared to be "concatenation-requiring", as
>    defined by RFC 3396 [4].  As such, the aggregate of all instances of
>    vendor-specific data is to be considered one long option, for each of
>    the two options defined here.  These long options can be divided into
167c167
< Littlefield            Expires November 17, 2004                [Page 3]
---
> Littlefield            Expires December 21, 2004                [Page 3]
169c169
< Internet-Draft     Vendor-Identifying Vendor Options            May 2004
---
> Internet-Draft     Vendor-Identifying Vendor Options           June 2004
172,174c172,175
<    boundaries are convenient to the implementation.  Dividing on the
<    boundaries between vendor instances is not required, but may be
<    convenient for encoding or packet tracing.
---
>    smaller options for packet encoding in conformance with RFC 3396, on
>    whatever octet boundaries are convenient to the implementation.
>    Dividing on the boundaries between vendor instances is not required,
>    but may be convenient for encoding or packet tracing.
216d216
<     option-code         OPTION_V-I_VENDOR_CLASS (to be assigned by IANA)
223c223
< Littlefield            Expires November 17, 2004                [Page 4]
---
> Littlefield            Expires December 21, 2004                [Page 4]
225c225
< Internet-Draft     Vendor-Identifying Vendor Options            May 2004
---
> Internet-Draft     Vendor-Identifying Vendor Options           June 2004
228c228,231
<     option-len          5 + length of vendor class data field
---
>     option-code         OPTION_V-I_VENDOR_CLASS (to be assigned by IANA)
> 
>     option-len          total length of all following option data in
>                         octets
273,274d275
<    Vendor-Identifying Vendor-Specific Information Option, there is no
<    requirement for such a flow.
277a279
> Littlefield            Expires December 21, 2004                [Page 5]
279c281
< Littlefield            Expires November 17, 2004                [Page 5]
---
> Internet-Draft     Vendor-Identifying Vendor Options           June 2004
281d282
< Internet-Draft     Vendor-Identifying Vendor Options            May 2004
282a284,285
>    Vendor-Identifying Vendor-Specific Information Option, there is no
>    requirement for such a flow.
314c317,318
<     option-len          5 + length of option-data field
---
>     option-len          total length of all following option data in
>                         octets
328,331d331
<    An Enterprise Number SHOULD only occur once among all instances of
<    this option.  Behavior is undefined if an Enterprise Number occurs
<    multiple times.  The information for each Enterprise Number is
<    treated independently, regardless or whether it occurs in an option
335c335
< Littlefield            Expires November 17, 2004                [Page 6]
---
> Littlefield            Expires December 21, 2004                [Page 6]
337c337
< Internet-Draft     Vendor-Identifying Vendor Options            May 2004
---
> Internet-Draft     Vendor-Identifying Vendor Options           June 2004
339a340,343
>    An Enterprise Number SHOULD only occur once among all instances of
>    this option.  Behavior is undefined if an Enterprise Number occurs
>    multiple times.  The information for each Enterprise Number is
>    treated independently, regardless or whether it occurs in an option
384,386d387
<    message integrity mechanism, as described in RFC 3118 [8], which may
<    be used if authenticity is required for data carried by the options
<    defined in this document.
389a391
> Littlefield            Expires December 21, 2004                [Page 7]
391c393
< Littlefield            Expires November 17, 2004                [Page 7]
---
> Internet-Draft     Vendor-Identifying Vendor Options           June 2004
393d394
< Internet-Draft     Vendor-Identifying Vendor Options            May 2004
394a396,398
>    message integrity mechanism, as described in RFC 3118 [8], which may
>    be used if authenticity is required for data carried by the options
>    defined in this document.
432a437,451
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Littlefield            Expires December 21, 2004                [Page 8]
> 
> Internet-Draft     Vendor-Identifying Vendor Options           June 2004
> 
> 
447d465
< Littlefield            Expires November 17, 2004                [Page 8]
449c467,505
< Internet-Draft     Vendor-Identifying Vendor Options            May 2004
---
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> 
> Littlefield            Expires December 21, 2004                [Page 9]
> 
> Internet-Draft     Vendor-Identifying Vendor Options           June 2004
503c559
< Littlefield            Expires November 17, 2004                [Page 9]
---
> Littlefield            Expires December 21, 2004               [Page 10]